Attribute VB_Name = "Global"
Option Explicit
' In diesem Module werden globale Datenstrukturen, Konstanten, Variablen
' und Flags definiert und gegebenenfalls initialisiert.

' Dimensioniere die Globale Datenstruktur fuer die Messresultate
' zuerst die Anzahl Elemente des globalen Arrays:
Const cAnzElemente = 200000

' Definiere den Datenrecord: Wird nicht mehr gebraucht ...?
Public Type MessWertStructType
    ax As Integer
    ay As Integer
    az As Integer
    wx As Integer
    wy As Integer
    wz As Integer
    temperature As Integer
    spare As Integer
    time As Long
End Type

' Definiere den Headerrecord:
Public Type MessHeaderType
    MDate As String * 10
    MLength As String * 10
    MInterval As String * 10
    MAmplitude As String * 10
    MSpare1 As String * 10
    MSpare2 As String * 10
    MFormat As String * 256
End Type

' Jetzt Array vom Type MessWertStructType und MessHeaderType:
' Public MessArr(cAnzElemente) As MessWertStructType
Public MessArr(cAnzElemente, 9) As Integer
Public MessHeader As MessHeaderType

' Globale Status Variablen:
Public DatenInMessArr As Boolean
Public DatenSaved As Boolean
Public GoOnAquire As Boolean

' Globale Sampling - Einstellungen
Public S_Freq As Integer
Public S_scanInterval As Integer
Public S_sampInterval As Integer
Public S_sampTimebase As Integer
Public S_bufferSize As Integer
Public S_NrCh  As Integer
Public S_gain As Integer
Public S_numChans As Integer

Public RecordCounter As Long   ' Zaehler fuer die Anzahl Scans (1x pro record)
Public NullTicksH As Double    ' Bias des Horizont - Banks
Public NullTicksV As Double    ' Bias des Horizont - Pitches
Public NullTicksD As Double    ' Bias der Direction
Public NullTicksX As Double    ' Bias ax
Public NullTicksY As Double    ' Bias ay
Public NullTicksZ As Double    ' Bias az
Public PosCounter As Long
Public Ibank As Double
Public Ipitch As Double
Public Idirection As Double
Public Const cWhichGyroBank = 4          ' 4: enc03, y-Achse, default
Public Const cWhichGyroPitch = 3         ' 3: enc03, x-Achse, default
Public Const cWhichGyroDirection = 5     ' 5: env05, z-Achse, default
Public Const c_g2r = 0.0174532925        ' pi/180
Public Const c_r2g = 57.2957795          ' 180/pi
Public Const c_g = 9.81                  ' Erdbeschleunigung
Public Const c_pi = 3.14159265           ' pi

' Neue Sensitivitaeten in radian
Public Const cGyroSensBank = -0.0030543
Public Const cGyroSensPitch = 0.0032
Public Const cGyroSensDirection = 0.00100916

' --- Regelung der Lage ---
' Reglerwerte fuer f_reg_omega() muessen global sein, da sie bei
' Initialize_Click() auch geresettet werden muessen
Public iao As Double
Public ibo As Double
Public ico As Double
' Regelkonstanten fuer f_reg_omega()
Public Const c_RegOmegaA = 0.01      ' Agressivitaet der omega - Regelung, (def = 0.05)
Public Const c_RegOmegaB = 0.01      ' Agressivitaet der omega - Regelung, (def = 0.05)
Public Const c_RegOmegaC = 0.02      ' Agressivitaet der omega - Regelung, (def = 0.05)
Public Const c_RegPhiA = 0.01        ' Agressivitaet der phi - Regelung, (def = 0.01)
Public Const c_RegPhiB = 0.01        ' Agressivitaet der phi - Regelung, (def = 0.01)
Public Const c_RegPhiC = 0.01        ' Agressivitaet der phi - Regelung, (def = 0.01)
' NullOffset fuer den g-Messer in z-Richtung [Tick]
Public Const c_NullOffsetZ = 140
